Redmine - Defect #27754

Strip whitespace from email addresses on lost password page

2017-12-07 12:25 - Felix Schéfer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 3.44

Resolution: Fixed Affected version:

Description

Sometimes people will not notice that they copied and pasted or inadvertently entered a whitespace when entering their email address
in the lost password page. This currently leads to no password recovery being sent as the whitespaces will prevent a user from being

found.

Related issues:

Related to Redmine - Defect # 22532: Strip whitespace from login on login page

Closed

Associated revisions

Revision 17078 - 2017-12-08 09:27 - Go MAEDA

Fix: Strip whitespace from email addresses on lost password page (#27754).

Patch by Felix Schéfer.

Revision 17079 - 2017-12-09 03:43 - Go MAEDA

Merged r17078 to 3.4-stable (#27754).

History

#1 - 2017-12-07 12:26 - Felix Schéfer
- File 27754.patch added

The attached patch provides a test and strips whitespace from the entered email address.

#2 - 2017-12-07 12:30 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#3 - 2017-12-07 13:02 - Go MAEDA

- Tracker changed from Feature to Defect

- Target version changed from Candidate for next minor release to 3.4.4

Sometimes users say "Lost password page is not working". | understood the reason by seeing this patch!

Setting target version to 3.4.4.
#4 - 2017-12-08 09:25 - Go MAEDA
- Assignee set to Go MAEDA

#5 - 2017-12-08 09:33 - Go MAEDA
- Status changed from New to Resolved

#6 - 2017-12-08 09:34 - Marius BALTEANU
- Related to Defect #22532: Strip whitespace from login on login page added

#7 - 2017-12-08 09:34 - Marius BALTEANU

| think that we should fix also the related issue (#22532) because is almost on the same topic.

#8 - 2017-12-09 03:44 - Go MAEDA
- Status changed from Resolved to Closed

- Resolution set to Fixed

Commited in the trunk and merged to 3.4-stable. Thank you for detecting and fixing this issue.

Files

27754 .patch 1.44 KB 2017-12-07 Felix Schéfer
